## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SchemaASABaseLoader.ASABaseUDTLoader.ASAUDTFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.StructTypeFactory
          org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.DistinctTypeFactory
              org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseUDTLoader.ASAUDTFactory

All Implemented Interfaces:
  JDBCUserDefinedTypeLoader.IUDTFactory

Enclosing class:
  SchemaASABaseLoader.ASABaseUDTLoader

    public static class SchemaASABaseLoader.ASABaseUDTLoader.ASAUDTFactory

extends JDBCUserDefinedTypeLoader.DistinctTypeFactory

Constructor Summary
`SchemaASABaseLoader.ASABaseUDTLoader.ASAUDTFactory(DatabaseDefinition databaseDefinition)`

Method Summary
`void` `initialize(UserDefinedType udt, java.sql.ResultSet rs)` Initializes the new UserDefinedType object using the meta-data in the result set.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.DistinctTypeFactory
`getUDTEClass`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.StructTypeFactory
`createUDT`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaASABaseLoader.ASABaseUDTLoader.ASAUDTFactory

    public SchemaASABaseLoader.ASABaseUDTLoader.ASAUDTFactory(DatabaseDefinition databaseDefinition)

Method Detail

### initialize

    public void initialize(UserDefinedType udt,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Description copied from class: `JDBCUserDefinedTypeLoader.DistinctTypeFactory`
  Initializes the new UserDefinedType object using the meta-data in the result set. This method initializes the name, description and type of the UDT.

  Specified by:
    `initialize` in interface `JDBCUserDefinedTypeLoader.IUDTFactory`
  Overrides:
    `initialize` in class `JDBCUserDefinedTypeLoader.DistinctTypeFactory`
  Parameters:
    `udt` - a new UserDefinedType object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong
  See Also:
    `JDBCUserDefinedTypeLoader.StructTypeFactory.initialize(org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType, java.sql.ResultSet)`